import "./tasks/bedtools.wdl" as bedtools

workflow {{ project_name }} {

	File samples_file
	File bed_file
	Array[Array[File]] input_samples_file = read_tsv(samples_file)

	scatter (sample in input_samples_file) {

		call bedtools.bedtools as bedtools {
			input:
			bam=sample[0],
			bai=sample[1],
			bed_file=bed_file

		}
	}
}

